#!/bin/sh

# ----------------------------------------------------------------------
#  ITCAM Management Agent Config Collector: command-line shell script
# 
#  (C) Copyright IBM Corp. 2005 All Rights Reserved.
#  
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ----------------------------------------------------------------------

case "$0" in
  /*)   THIS_CMD_PATH="$0"       ;;
   *)   THIS_CMD_PATH="`pwd`/$0" ;;
esac

THIS_CMD_DIR="`dirname $THIS_CMD_PATH`"

MA_BASE_DIR=`(cd "$THIS_CMD_DIR/.." 2>/dev/null && pwd)`


JAVACMD=`sh $THIS_CMD_DIR/findJava.sh`
if test "$?" != 0 ; then exit 1 ; fi

COLLECTOR_JAR=`sh $THIS_CMD_DIR/findJar.sh cfgcollector.jar`
if test "$?" != 0 ; then exit 1 ; fi

EJFLT_JAR=`sh $THIS_CMD_DIR/findJar.sh ejflt.jar`
if test "$?" != 0 ; then exit 1 ; fi

"$JAVACMD" -classpath "$COLLECTOR_JAR:$EJFLT_JAR" \
    "-Dtmtp.ma.root=$MA_BASE_DIR" \
    com.ibm.tivoli.transperf.pd.cfgcollector.MainCLI $*

# ----------------------------------------------------------------------
# End script
# ----------------------------------------------------------------------
