#!/bin/sh
#########################################################
#
#   OCO Source Materials
# 
#   Licensed Materials - Property of IBM
# 
#   5724-C02
# 
#   (C) Copyright IBM Corp. 2003  All Rights Reserved.
# 
#   US Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#	Author: Mark Boucher
#   
#   Batch file for feature 147434 (MA re-registration as new host)  
#	
#   %Z%%M%   %I%   %W% %G% %U%
#
#########################################################
#
# Usage:
# ------
# 1. Change the hostname.
# 2. Reboot (to make sure that the hostname change takes effect).
# 3. Stop the MA.
# 4. run configMa.sh
# 5. Start the MA.
#
# Both configMa.sh and setupEnv.sh (which is called by 
# configMa.sh) are in the MA_HOME/bin directory.
# configMa.sh must be executed from this directory.
#
# The configMa.sh script takes no arguments.

# This will retrieve and set all the required RTT system 
# variables.
if [ ! -e "setupEnv.sh" ]; then 
  echo Please run from the MA_HOME/bin directory
  exit 
fi 
. setupEnv.sh

set CONFIG_MODE=$1

set tmtp.user.dir=$BASEDIR

set JAVA_DIR=$BASEDIR/jre142
set LIBPATH=$LIBPATH:$JAVA_DIR/bin:$JAVA_DIR/bin/classic:

set CLASSPATH=.:$BASEDIR/lib/local:$BASEDIR/lib/local/patch.jar:$BASEDIR/lib/install.jar:$BASEDIR/lib/wsif.jar:$BASEDIR/lib:$BASEDIR/lib/copyright.jar:$BASEDIR/lib/base64_51.jar:$BASEDIR/lib/logging.jar:$BASEDIR/lib/ejflt.jar:$BASEDIR/lib/tmtp_l10n.jar:$BASEDIR/lib/core_util.jar:$BASEDIR/lib/tmtp_nls.jar:$BASEDIR/lib/launch.jar:$BASEDIR/lib/sm.jar:$BASEDIR/lib/saaj.jar:$BASEDIR/lib/jaxrpc.jar:$BASEDIR/lib/qname-from-wsdl4j-20021124.jar:$BASEDIR/lib/wsdl4j-20021124.jar:$BASEDIR/lib/uid.jar:$BASEDIR/lib/commons-discovery.jar:$BASEDIR/lib/commons-logging.jar:$BASEDIR/lib/axis.jar:$BASEDIR/lib/valueObjects.jar:$BASEDIR/lib/rbmsg.jar:$BASEDIR/lib/activation.jar:$BASEDIR/lib/jffdc.jar:$BASEDIR/lib/jflt.jar:$BASEDIR/lib/jlog.jar:$BASEDIR/lib/eppam.jar:$BASEDIR/lib/jmxc.jar:$BASEDIR/lib/jmxx.jar:$BASEDIR/lib/log.jar:$BASEDIR/lib/tmtpext.jar:$BASEDIR/lib/xercesImpl.jar:$BASEDIR/lib/servlet-2_2.jar:$BASEDIR/lib/xmlParserAPIs.jar:$BASEDIR/lib/mail.jar

set MA_JAVA=$BASEDIR/jre142/jre/bin/java

set CLP=-Djava.class.path=$CLASSPATH -Dtmtp.user.dir=$BASEDIR -Dcom.ibm.tivoli.transperf.logging.baseDir=$BASEDIR/common com.ibm.tivoli.transperf.install.config.SetupMa $CONFIG_MODE

$MA_JAVA $CLP
